'use client';
import FigmaArrowNext from '@/components/icons/FigmaArrowNext';
import { useState } from "react";

export default function StartSavingTimeThisMonth(){
	const [household, setHousehold] = useState<1 | 2 | 3>(1);	// household option
	const scale = [[2, 3], [4, 6], [5, 7.5]];

	return (
		<section className="bg-neutral-100 rounded-xl lg:mx-8 mt-[100px] lg:px-2.5 py-[27px] lg:pt-[58px] lg:pb-[50px]">
			<div className="flex items-center justify-center gap-x-3 lg:gap-x-5 px-6">
				<img src='https://ik.imagekit.io/choreless/v2/icons/FigmaClock.svg' alt='icon' loading='lazy' className='h-10 sm:h-auto' />
				<h1 className="text-slate-900 text-2xl lg:text-6xl font-bold">Start Saving Time This Month</h1>
			</div>
			<div className="border-b-2 border-brand-black/60 border-dashed mt-[33px]" />
			<div className="flex items-center justify-center gap-x-5 mt-[30px] sm:mt-[57px] flex-col lg:flex-row">
				<div className="flex items-center gap-x-[45.5px] gap-y-5 flex-col lg:flex-row">
					<div>
						<p className="text-xl text-center">Individuals In Your Household</p>
						<div className="tabs border rounded-full border-slate-900 w-fit mt-3 lg:mt-5 mx-auto">
							<button onClick={()=>{setHousehold(1)}} className={`tab rounded-full text-2xl font-bold text-slate-900 scale-[1.07] ${household===1 && 'tab-active bg-blue-600 text-white'}`} >1-2</button> 
							<button onClick={()=>{setHousehold(2)}} className={`tab rounded-full text-2xl font-bold text-slate-900 scale-[1.07] ${household===2 && 'tab-active bg-blue-600 text-white'}`} >3-4</button> 
							<button onClick={()=>{setHousehold(3)}} className={`tab rounded-full text-2xl font-bold text-slate-900 scale-[1.07] ${household===3 && 'tab-active bg-blue-600 text-white'}`} >5+</button>
						</div>
					</div>
					<img src='https://ik.imagekit.io/choreless/v2/icons/FigmaCross.svg' alt='icon' loading='lazy' className="h-7" />
					<div className="flex items-center gap-x-7 flex-col lg:flex-row border border-blue-600 rounded-xl bg-white px-7">
						<div className="order-2 lg:order-1">
							<p className="text-lg">Laundry Load Per Month</p>
							<p className="text-3xl text-center mt-1.5"><span className="font-bold">{scale[household-1][0]*8}-{scale[household-1][1]*8}</span> Pound</p>
						</div>
						<img src='https://ik.imagekit.io/choreless/v2/icons/FigmaBag.png?tr=h-125' alt='icon' loading='lazy' className="order-1 lg:order-2 h-[125px] lg:h-[100px]" />
					</div>
				</div>
				<div className="text-4xl font-bold">=</div>
			</div>
			<div className="flex justify-center items-center gap-x-3.5 lg:gap-x-6 mt-[20px] lg:mt-[50px]">
				<img src='https://ik.imagekit.io/choreless/v2/icons/FigmaRightInFlower.svg' alt='icon' loading='lazy' className="h-6 sm:h-[50px]" />
				<div className="text-xl lg:text-5xl font-bold">
					<span className="bg-clip-text text-transparent bg-[linear-gradient(90deg,_#F85A47_7.77%,_#3063FF_120.25%)]">
					{Math.round(scale[household-1][0]*6.5)}-{Math.round(scale[household-1][1]*6.5)} days saved per Year
					</span>
				</div>
			</div>
			<div className="flex justify-center items-center gap-x-[50px] gap-y-[30px] mt-[30px] lg:mt-[50px] flex-col lg:flex-row">
				<div>
					<img src='https://ik.imagekit.io/choreless/v2/icons/FigmaClock2.svg' alt='icon' loading='lazy' className="mx-auto w-8" />
					<p className="text-2xl mt-0.5"><span className='font-bold'>{scale[household-1][0]}-{scale[household-1][1]}</span> hours saved per week</p>
					<p className="text-center mt-0.5">There will be some text here, its</p>
				</div>
				<div>
					<img src='https://ik.imagekit.io/choreless/v2/icons/FigmaClock2.svg' alt='icon' loading='lazy' className="mx-auto w-8" />
					<p className="text-2xl mt-0.5"><span className='font-bold'>{scale[household-1][0]*4}-{scale[household-1][1]*4}</span> hours saved per month</p>
					<p className="text-center mt-0.5">There will be some text here, its</p>
				</div>
				<div>
					<img src='https://ik.imagekit.io/choreless/v2/icons/FigmaClock2.svg' alt='icon' loading='lazy' className="mx-auto w-8" />
					<p className="text-2xl mt-0.5"><span className='font-bold'>{scale[household-1][0]*52}-{scale[household-1][1]*52}</span> hours saved per year</p>
					<p className="text-center mt-0.5">There will be some text here, its</p>
				</div>
			</div>
			<div className="flex justify-center mt-[30px] lg:mt-[50px] ">
				<button className="btn bg-blue-600 text-white hover:bg-transparent hover:text-blue-600 hover:border-blue-600 rounded-full fill-white hover:fill-blue-600 normal-case">
					See your pricing option
					<div className=''><FigmaArrowNext /></div>
				</button>
			</div>
		</section>
	)
}
